package com.jasamedika.medifirst2000.service;

import java.util.Map;

import org.springframework.data.jpa.domain.Specification;

import com.jasamedika.medifirst2000.entities.DataPerusahaanYangBekerjaSama;
import com.jasamedika.medifirst2000.vo.DataPerusahaanYangBekerjaSamaVO;


public interface DataPerusahaanYangBekerjaSamaService {
	Map<String,Object> addDataPerusahaanYangBekerjaSama(DataPerusahaanYangBekerjaSamaVO vo);
	Map<String,Object> updateDataPerusahaanYangBekerjaSama(DataPerusahaanYangBekerjaSamaVO vo);
	Map<String, Object> findAllDataPerusahaanYangBekerjaSama(Integer jenisRekananId,Integer status);
	
	Map<String, Object> getPerusahaan();
	Map<String, Object> getAsuransi();
	Map<String, Object> getRumahSakit();
	Map<String, Object> getYayasan();
	
	Map<String, Object> getPerusahaanYangBekerjaSama();
	Map<String, Object> getAsuransiYangBekerjaSama();
	Map<String, Object> getRumahSakitYangBekerjaSama();
	Map<String, Object> getYayasanYangBekerjaSama();
	
	public Map<String, Object> findAll(Integer page, Integer take, String sort, String dir, Specification<DataPerusahaanYangBekerjaSama> spec);
}
